Get Good
curl --request GET \
--url https://nueborder.com/api/v1/v1/companies/{company_id}/reports/{report_id}/imported-good \
--header 'Authorization: <api-key>'import requests
url = "https://nueborder.com/api/v1/v1/companies/{company_id}/reports/{report_id}/imported-good"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://nueborder.com/api/v1/v1/companies/{company_id}/reports/{report_id}/imported-good', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"importedGoodType": [
{
"additional_information": "Goods' additional information",
"cn_code": "76090000",
"description": "Aluminium tube or pipe fittings (for example, couplings, elbows, sleeves)",
"hs_code": "760900",
"importer_address_city": "Declarant city",
"importer_address_country": "BE",
"importer_identification_number": "GR293847584930295",
"importer_name": "Declarant CBAM",
"measurement_unit": "01",
"origin_country": "TR",
"representative_address_city": "Declarant city",
"representative_address_country": "BE",
"representative_identification_number": "IT293847584930295",
"representative_name": "Representative CBAM",
"companyID": 123,
"createdAt": "<string>",
"internalReportID": 123,
"item_number": 1,
"organizationID": 123,
"supporting_documents": [
{
"binary": [
123
],
"filename": "Supporting_document_01.docx",
"item_number": "1",
"mime": "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
"type": "01",
"companyID": 123,
"country": "CA",
"createdAt": "<string>",
"description": "Description",
"internalReportID": 123,
"issuing_auth_name": "Issuing authority name",
"line_item_number": 88888,
"organizationID": 123,
"reference_number": "01 Reference number",
"sequence_number": 1,
"updatedAt": "<string>",
"updatedBy": "<string>",
"uri": "<string>",
"validity_end_date": "1/1/24",
"validity_start_date": "1/1/24",
"version": "<string>"
}
],
"updatedAt": "<string>",
"updatedBy": "<string>",
"version": "<string>"
}
],
"message": "Operation completed successfully",
"status": 200
}{
"message": "The JSON payload is invalid",
"status": 400
}{
"message": "An internal server error occurred",
"status": 500
}Imported Good
Get Good
Retrieves the details of an imported good based on the provided company ID and report ID.
GET
/
v1
/
companies
/
{company_id}
/
reports
/
{report_id}
/
imported-good
Get Good
Authorizations
Provide your Bearer token in the format: Bearer <your_api_key>
Path Parameters
Unique identifier for the company associated with the imported good
Unique identifier for the report associated with the imported good
Response
Details of the imported good
⌘I